%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  UUID                  historymanager-prefix-search@sustmidown.centrum.cz
%global  install_destination   %{buildroot}/%{gnome_extensions_dir}/%{UUID}

Name:       gnome-shell-extension-historymanager-prefix-search
Summary:    Use PageUp and PageDown to search for previous GNOME Shell commands
Version:    11
Release:    2%{?dist}
URL:        https://github.com/sustmi/gnome-shell-extension-historymanager-prefix-search
License:    GPLv3+
BuildArch:  noarch

# See the latest releases here:
# https://github.com/sustmi/gnome-shell-extension-historymanager-prefix-search/releases
Source0: https://github.com/sustmi/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: ./README.md

BuildRequires: gettext

Requires: gnome-shell >= 3.8
Requires: gnome-shell-extension-common

# (CentOS 7 build environment doesn't support Recommends tag.)
%if 0%{?fedora}
Recommends: gnome-tweak-tool
%endif

Obsoletes: gnome-shell-extension-sustmi-historymanager-prefix-search <= 3.0-17



%description
The GNOME Shell Run Command dialog (Alt-F2) and Looking Glass let you
cycle through the history of previous commands with the arrow keys, but
there's currently no built-in way to search or do autocompletion for
commands. With HistoryManager Prefix Search, you can type the beginning
of a command, and then hit the PageUp and PageDown keys to cycle through
previous commands which match the prefix you typed.



%prep
%autosetup



%build
# Nothing to build.



%install
mkdir -p %{install_destination}
cp --recursive --preserve=mode,timestamps  ./*  %{install_destination}/
cp --recursive --preserve=mode,timestamps  %{SOURCE1}  ./README-fedora.md
# Remove duplicate copies of license and README.
rm  %{install_destination}/README.md  %{install_destination}/COPYING
# Makefile is only used in upstream's builds for the GNOME Extensions website.
rm %{install_destination}/Makefile

# historymanager doesn't have any schemas (for now?).
# historymanager doesn't have any translations because it has no visible text.



%files
%license COPYING
%doc README.md  README-fedora.md
%{gnome_extensions_dir}/%{UUID}/





%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 08 2018 Andrew Toskin <andrew@tosk.in> - 11-1
- Bump to upstream version 11, which fixes a bug that could multiply
  user keypresses.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 30 2017 Andrew Toskin <andrew@tosk.in> - 10-2
- Source tarball name should ideally match package name.
- Move notes on setup to a README in docs directory.

* Wed Oct 25 2017 Andrew Toskin <andrew@tosk.in> - 10-1
- Split HistoryManager Prefix Search into its own package.
